# cat::rect< T > Class Template Reference

`#include <Types.h>`

List of all members.

## Public Member Functions

| rect ()
| rect (T xx, T yy, T ww, T hh)

## Public Attributes

T | x
T | y
T | w
T | h

### template<class T>
class cat::rect< T >

## Constructor & Destructor Documentation

template<class T>
cat::rect< T >::rect | ( |  | ) | `[inline]`

template<class T>
cat::rect< T >::rect | ( | T | xx,
|  | T | yy,
|  | T | ww,
|  | T | hh
| ) | `[inline]`

## Member Data Documentation

template<class T>
T cat::rect< T >::h

template<class T>
T cat::rect< T >::w

template<class T>
T cat::rect< T >::x

template<class T>
T cat::rect< T >::y

The documentation for this class was generated from the following file:

- Projects/raknet/include/raknet/Types.h